Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class WrappedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.mozilla.javascript.EvaluatorException
                              |
                              +--org.mozilla.javascript.WrappedException

All Implemented Interfaces:
  java.io.Serializable

public class WrappedException
extends EvaluatorException

A wrapper for runtime exceptions. Used by the JavaScript runtime to wrap and propagate exceptions that occur during runtime.

Author:
  Norris Boyd
See Also:
  Serialized Form

Constructor Summary
`WrappedException(java.lang.Throwable exception)` Create a new exception wrapped around an existing exception.

Method Summary
`java.lang.String` | `getLocalizedMessage()` Gets the localized message.
`java.lang.String` | `getMessage()` Get the message for the exception.
`java.lang.Throwable` | `getWrappedException()` Get the wrapped exception.
`java.lang.Object` | `unwrap()` Deprecated. Use `getWrappedException()` instead.

Methods inherited from class org.mozilla.javascript.EvaluatorException
`getColumnNumber, getLineNumber, getLineSource, getSourceName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedException

    public WrappedException(java.lang.Throwable exception)

  Create a new exception wrapped around an existing exception.
  Parameters:
    `exception` - the exception to wrap

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get the message for the exception. Delegates to the wrapped exception.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Gets the localized message. Delegates to the wrapped exception.
  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getWrappedException

    public java.lang.Throwable getWrappedException()

  Get the wrapped exception.
  Returns:
    the exception that was presented as a argument to the constructor when this object was created

### unwrap

    public java.lang.Object unwrap()

  Deprecated. Use `getWrappedException()` instead.

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD